Login
curl --request POST \
--url https://api.surefeedback.com/api/v1/auth/login \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"email": "<string>",
"password": "<string>"
}
'{
"success": true,
"data": {
"token": "eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9...",
"user": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"email": "[email protected]",
"first_name": "Jane",
"last_name": "Smith",
"active_organization_id": "660e8400-e29b-41d4-a716-446655440001",
"active_project_id": "770e8400-e29b-41d4-a716-446655440002"
}
}
}
Authentication
Login
Authenticate and receive a JWT token.
POST
/
auth
/
login
Login
curl --request POST \
--url https://api.surefeedback.com/api/v1/auth/login \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"email": "<string>",
"password": "<string>"
}
'{
"success": true,
"data": {
"token": "eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9...",
"user": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"email": "[email protected]",
"first_name": "Jane",
"last_name": "Smith",
"active_organization_id": "660e8400-e29b-41d4-a716-446655440001",
"active_project_id": "770e8400-e29b-41d4-a716-446655440002"
}
}
}
Authenticates a user with email and password and returns a JWT token.
Request body
The user’s email address.
The user’s password.
Response
true on success.{
"success": true,
"data": {
"token": "eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9...",
"user": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"email": "[email protected]",
"first_name": "Jane",
"last_name": "Smith",
"active_organization_id": "660e8400-e29b-41d4-a716-446655440001",
"active_project_id": "770e8400-e29b-41d4-a716-446655440002"
}
}
}
Was this page helpful?
⌘I